Bug 112658 - rhn applet cannot connect to ftp-based yum repositories
rhn applet cannot connect to ftp-based yum repositories
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Depends On:
  Show dependency treegraph
Reported: 2003-12-26 13:05 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-09 13:09:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-12-26 13:05:44 EST
Description of problem:
When /etc/sysconfig/rhn/sources is configured to use FTP URLs for yum
repositories, the rhn applet is unable to check for updates.  Instead,
the applet provides the following "Critical Information:"

The applet has been unable to access the following information sources
in its last attempts: fedora-core-1 @
ftp://mirrors.kernel.org/fedora/core/1/i386/os/, updates-released @

Also, the tooltip says there are no updates available.

Version-Release number of selected component (if applicable):

How reproducible:
Always (tested on 2 machines).

Steps to Reproduce:
1. Edit /etc/sysconfig/rhn/sources
2. Provide FTP yum repositories, and observe that the applet does not
3. Change the repositories to HTTP URLs, and the applet will work.
yum fedora-core-1 ftp://mirrors.kernel.org/fedora/core/1/i386/os/
yum updates-released ftp://mirrors.kernel.org/fedora/core/updates/1/i386/


yum fedora-core-1 http://mirrors.kernel.org/fedora/core/1/i386/os/
yum updates-released http://mirrors.kernel.org/fedora/core/updates/1/i386/

I'm not sure if it's supposed to support FTP repositories, but since
yum and up2date both do, I'll submit this as a bug and not an
enhancement request.  Also, I think it should display the "Error" icon
(gray question mark) instead of the blue "Everything is fine" icon
under these circumstances.
Comment 1 Christoph Wickert 2004-01-06 16:04:41 EST
Same here with:
yum fedora-core-1
yum updates-released
Server does not offer http.
Comment 2 Daniel Veillard 2004-01-09 13:09:39 EST
That should be fixed in version 2.1.5 I just released:


try it it worked for me,


Note You need to log in before you can comment on or make changes to this bug.